# std::piecewise_linear_distribution<RealType>::intervals, densities

From cppreference.com
< cpp‎ | numeric‎ | random‎ | piecewise linear distribution

std::vector <RealType> intervals() const; | (1) | (since C++11)
std::vector <RealType> densities() const; | (2) | (since C++11)

Returns the distribution parameters.

1) Returns the list of boundaries of the intervals.
2) Returns the list of probability densities at the boundaries of the intervals.

### Parameters

(none)

### Return value

The distribution parameters:

1) The list of boundaries of the intervals.
2) The list of probability densities at the boundaries of the intervals.

### Complexity

Constant.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/piecewise_linear_distribution/params&oldid=105418"